package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.ShipBillFeeListDTO;
import com.prolog.rdc.tms.model.entity.BmsShipBillHeaderModel;
import com.prolog.rdc.tms.model.vo.ShipBillQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ShipBillHeadMapper extends BaseMapper<BmsShipBillHeaderModel> {

    List<ShipBillFeeListDTO> findFeeList(@Param("vo") ShipBillQueryVO vo, @Param("enterpriseId") Long enterpriseId);

    List<ShipBillFeeListDTO> findFeeListForSett(@Param("ids") List<Long> ids);

    List<ShipBillFeeListDTO> findFeeListForTra(@Param("vo") ShipBillQueryVO vo, @Param("enterpriseId") Long enterpriseId);

    List<ShipBillFeeListDTO> findFeeListForStatus(@Param("vo") ShipBillQueryVO vo, @Param("enterpriseId") Long enterpriseId);

    List<ShipBillFeeListDTO> findFeeId(@Param("ids") List<Long> ids);

}
